import 'reflect-metadata';
import { EpicMiddleware } from 'redux-observable';
import { PersistConfig } from 'redux-persist';
import { logger } from '../utils';
import modules from '../modules';
interface Dependencies {
    apolloClient: any;
    routes: ReturnType<typeof modules.getConfiguredRoutes>;
    services: any;
    container: any;
    logger: typeof logger;
    config?: any;
}
export declare const epicMiddlewareFunc: (apolloClient: any, services: any, container: any) => EpicMiddleware<any, any, any, Dependencies>;
export declare const persistConfig: PersistConfig<any>;
export declare const createReduxStore: (apolloClient: any, services: any, container: any) => {
    store: any;
};
export {};
