export interface MiddlewareOptions {
    [key: string]: any;
}
export interface MiddlewareFunction {
    (params: any, loaderData: MiddlewareOptions, next: () => Promise<void>): Promise<void>;
}
export interface Middleware {
    name: string;
    func: MiddlewareFunction;
}
